Who are the top 50 independent contributors and what do they need from the WMF?
Closed, DeclinedPublic

Description

(TODO: draft)

Data:

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedAklapper
ResolvedLcanasdiaz
ResolvedLcanasdiaz
ResolvedAklapper
ResolvedDicortazar
DeclinedAklapper
ResolvedLcanasdiaz
ResolvedLcanasdiaz
ResolvedLcanasdiaz
ResolvedAklapper
ResolvedAklapper
StalledNone
OpenNone
ResolvedAcs
ResolvedAklapper
ResolvedLcanasdiaz
Qgil created this task.Dec 31 2014, 2:21 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added a project: Developer-Advocacy.
Qgil added subscribers: Aklapper, Qgil.
Aklapper set Security to None.

Added T118169: Make GrimoireLib display *one* consistent name for one user as dependency as top-contributors.html currently shows numerous affiliations which does not help us to identify independent contributors.

I also tentatively add T117871: Many profiles on profile.html do not display identity's name though data is available as a dependency as I cross fingers that fixing that bug will also fix the broken names top-contributors.html. Hopefully.

I'd say this task is now something that could be worked on (I'll fix T124346 in the next days, trivial) but I'm removing DevRel-April-2016 as no-one has expressed plans yet to work on this (task is proposed for this quarter though).

AFAICS this isn't blocked by anything on wikimedia.biterg.io: data is in place and can be filtered by whatever criteria is wanted.
Hence removing wikimedia.biterg.io tag.

Aklapper changed the task status from Open to Stalled.Feb 12 2017, 3:57 PM
Aklapper removed a subscriber: Dicortazar.

I have to revise my last comment:

Once underlying bugs in the backend are fixed (T132907: Fix incorrect mailing list activity of AKlapper (=Phabricator) in Technical Community Metrics user data, T146135: Exclude upstream repositories in the default view on wikimedia.biterg.io (by setting up "Projects" once Bestiary is available?), T157898: Provide Hatstall to fix syncing / updating of identities on the wikimedia.biterg.io production instance) so data can be trusted, https://wikimedia.biterg.io:443/goto/519f47291989aea792cf75fda0d8297b will list our top independent contributors in Git.

Would that be sufficient to identify individuals? (Afterwards some could try to find out "what they need from the WMF".) Or are other, non-Git "contributions" also relevant in this context? If so which ones? I cannot tell as this task misses a problem description.
Also wondering if/how MediaWiki-Stakeholders-Group might come into play.

Qgil added a comment.Feb 15 2017, 5:37 PM

We could bring this back to a more prominent spot by tweaking the goal a bit: identifying these top independent contributors in order to ask them... how they got involved, what made them stay, and which problems they think we should resolve first in order to increase our effectiveness reaching out to, onboarding, and retaining new developers.

Aklapper changed the task status from Stalled to Open.May 10 2017, 2:23 PM

Not stalled anymore as data is sufficient now.

I overwrote both git_top_authors and gerrit_top_developers to display 100 instead of 20 entries. Might get overwritten again with the next upstream pull.

Qgil added a comment.May 11 2017, 7:23 AM

Very cool! Some comments about minor things.

  • Last 1 year is probably better. I could check myself thanks to Kibana's flexibility. :)
  • Some bots appear in the results (we can deal with this, but I wonder whether this is a bug)
  • Some affiliations might be fine tuned. WMDE? WMCH?
  • It is very useful to see lines changes and other factors in addition to number of patches.

On whether to count by patches uploaded or merged, maybe we should look at uploaders. It might be worth doing a comparison between both lists once, just to understand whether there are big differences and why.

  • Some bots appear in the results (we can deal with this, but I wonder whether this is a bug)

No technical bug at least: The query sets author_bot:"false" AND owner_bot:"false" so no accounts are listed which are marked as bots in the DB.
However some users in the past have used bots which ran on the user's "human" email address. Those bot actions got merged into the main (human) identity. For example, Pywikipedia Conversion Bot = valhallasw; tools.maintenance-bot = ladsgroup.
Q: I can either fix the name in the DB to display the name of the human, or I can specifically unmerge those bot actions from the rest of the (human) actions/account.

  • Some affiliations might be fine tuned. WMDE? WMCH?

WMDE affiliations should be pretty much correct (based on email addresses and public info), I have no idea where to check WMCH affiliations apart from (three) people using a @wikimedia.ch email address - any ideas or data to share?
(Also to avoid misunderstandings: Some people who are now with an org were independent beforehand, so if you look at a timeframe like 5y and filter for "independent only" these people will still be listed as they had actions as volunteers within that 5y timeframe. Click the name of a person to see if there is an abrupt cut in their activity at some point (when they got employed)).

On whether to count by patches uploaded or merged, maybe we should look at uploaders. It might be worth doing a comparison between both lists once, just to understand whether there are big differences and why.

Qgil added a comment.Sep 12 2017, 9:19 AM

Considering our focus on onboarding new developers, considering that the top 50 independent volunteers probably have ways to express their needs, and considering that after all this time we don't have a clear plan for this task... I propose to decline it. What do you think?

Aklapper updated the task description. (Show Details)Sep 12 2017, 1:00 PM
Aklapper closed this task as Declined.Sep 12 2017, 1:06 PM
Aklapper updated the task description. (Show Details)
Isarra added a subscriber: Isarra.Feb 19 2018, 6:27 PM

Considering our focus on onboarding new developers, considering that the top 50 independent volunteers probably have ways to express their needs, and considering that after all this time we don't have a clear plan for this task... I propose to decline it. What do you think?

That is an assumption likely best tested by actually doing this task.

@Isarra: What would be your plan how to do this task? Developer-Advocacy currently focuses on new developers.
If someone else would like to work on this, the names of the most active existing developers is available in the task description.

@Isarra: What would be your plan how to do this task? Developer-Advocacy currently focuses on new developers.

In that case, my plan would be to begin by reassessing this focus. Drawing in new developers is pointless if you do nothing to keep them.

Looks like my question did not lead to getting input how to potentially tackle this very task... but that's alright.

How I would do this:

  • Find a decent set of people to specifically reach out to - non WMF among top patch uploaders, bug reporters, etc. Also check github, smw, other venues and the like. Include companies like wikiHow and other third-party organisation users to contact as specific entities, especially if they have actually tried to work with the WMF in the past. Could be any number, but 50 is a reasonable target total.
  • Send out invites to above specific people and entities, and also include messages to various other relevant groups/lists (mediawiki-l, stakeholders, etc), to a call for comments, essentially - some sort of central hub to gather stories about what's good and bad with current interactions with the WMF, and what's needed. For the specifically targeted individuals/entities, include the basic questions in the email and also encourage them to simply reply directly to the email if that's easier.
  • Compile all responses in hub, regardless of how they arrived.
  • Do the opposite - get information from WMF teams, especially those who have worked with third-party organisations in the past. Find out what their pain points were and what did and didn't work then, or in general, what they could see gaining from more external cooperation, and what they see as blockers currently.

Go through all the results. This should result in actionable items, and with reasonable context with which to evaluate prioritisation, whether or not they're actually a good idea in the first place, etc.

Unfortunately something this large will require consistent backing in order to move the process along and effectively reach out to all involved. A volunteer could pull it off, but it's very unlikely anyone actually will - which brings me back to 'we really need people actually working on this'. Many of the groups I included are also not going to be currently active contributors - they're potential contributors, or contributors we've already lost - but they're just as important to the overall goal of drawing in and keeping a wider community of contributors as those who actually have managed to stick around. We need all these voices to understand the overall context.

And we do need to work on keeping them. Seriously.

T85600#3986705 mostly makes sense (though I'd try to focus scope to 'tech development') to me (thanks for sharing that!) but... resources and time. Sigh.